\documentclass[11pt]{article}
\usepackage[CMPposter,magnify2]{plakat}
%\usepackage[magnify2]{plakat}
%\usepackage[custom,magnify2]{plakat}
%\usepackage[draft]{graphicx}
\usepackage{monstr}

%\setcustompapersize{395mm}{490mm}
%\fboxrule=0.2ex
%\papersep=8.5mm % HP 750 makes 17mm not printed board
%                % on top and bottom

\usepackage{graphicx}
\usepackage{url,color}
%\usepackage{psfrag}
%\input{omlcmmgr.fd}

% ---------------------------------------------------------------------------

\def\PItitleposter{%
  \def\titlefn{\monster\bfseries}
  \def\CMPsubtitlefn{\normalfont\HUGE}
  \def\authorfn{\normalfont\Huge\bfseries}
  \def\CMPaddressfn{\normalfont\Huge}
  \def\CMPurlfn{\normalfont\Huge}
  \toptitle{\titlefn\vskip.5ex\@title\par\vskip.2ex
            \CMPsubtitlefn\the\CMPsubtitle\par\vskip.8ex}
  \lefttitle={\includegraphics[height=4cm]{cmp-txt}}
  \centertitle={{\ifx\url\undefined\else\def\UrlFont{\CMPurlfn}\fi
      \def\and{ and }\CMPaddressfn%
    \setbox0=\hbox{\authorfn\@author}
    \setbox1=\hbox{\CMPaddressfn\the\CMPaddress}
    \setbox2=\hbox{\CMPurlfn\the\CMPurl}
    \ifdim\wd0>\wd1\dimen0=\wd0\else\dimen1=\wd1\fi
    \ifdim\wd2>\dimen0\dimen0=\wd2\fi
    \vbox{\hsize=\dimen0\def\\{\cr}\CMPaddressfn
    \ialign{\hfil ##\hfil\cr
      \authorfn\@author\cr
      \noalign{\vskip1ex}
      \CMPaddressfn\the\CMPaddress\cr
      %\noalign{\vskip1ex}
      \CMPurlfn\the\CMPurl\cr}}}}
 \righttitle={\includegraphics[height=4cm]{lev}}
 \renewcommand\section{\@startsection {section}{1}{\z@}%
    {-3ex \@plus -1ex \@minus -.2ex}{2ex \@plus.2ex}%
    {\normalfont\Large}}
 \LARGE
}

% ---------------------------------------------------------------------------

\righttitle={\includegraphics[height=4cm]{fig/lev}}
\lefttitle={\includegraphics[height=4cm]{fig/cul_logo}}

% ---------------------------------------------------------------------------

\title{uLan Communication Protocol \\for Laboratory Instruments, Home \\Automation and Field Applications}
%\CMPsubtitle{\hskip2em Test Subtitle}
\author{P. P\'\i{}\v{s}a, P. Smol\'\i{}k}
\CMPaddress{Department of Control Engineering\\
            Faculty of Electrical Engineering, Czech Technical University\\
	    }
%\CMPurl{{\huge\{}\url+pisa@,http://+{\huge\}}\url+cmp.felk.cvut.cz+}
\CMPurl{\url+pisa@cmp.felk.cvut.cz+, \url+petr.smolik@wo.cz+}
\def\authorfn{\normalfont\Huge}

% poster
\newdimen\tmpd \newdimen\tmpdd 
\parindent=0pt
\definecolor{lgray}{gray}{.9}
%\definecolor{Gray}{gray}{.5}
%\definecolor{lyellow}{cmyk}{0,0,.1,0}
\def\secttitle#1{\hrulefill\colorbox{lgray}{\Huge\Ovalbox{#1}}\hrulefill}

\begin{document}
\LARGE
\begin{plakat}
\maketitle
\bigskip

\fboxsep=3mm

\hbox to\textwidth{%=========================================================

\tmpd=.31\textwidth
\parbox[t]{\tmpd}{%----------------------------------------------------------
\kern-1ex
\vbox{

\secttitle{uLan Message Protocol}%
\bigskip

uLan is multi-master message oriented communication 
protocol which utilizes RS-485 signal levels. Use of 9-bit character 
simplifies transfer of binary data. The data frame is a basic communication 
unit of the uLan protocol. The frame has its destination, source node, 
frame type or command, end mark and integrity check xor\_sum.
\medskip\par
\hfill\includegraphics[width=0.80\tmpd]{fig/ul_frame}\hfill
\medskip\par
The deterministic arbitration is achieved by timing rules for media
access sequence.

\medskip\par
\hfill\includegraphics[width=0.80\tmpd]{fig/ul_sess}\hfill
\medskip

Many of todays microcontrollers implement 9-bit extension in their UART
(all Intel 8051 and 8096 based MCUs with UART, members of Motorola
683xx family - 68376, Hitachi H8 microcontrollers, TI msp430 to name
some of them). Intel has developed a multi-protocol UART i82510, which
is very well suited for implementing 9-bit communication interface
for PC computers. The second example of the chip, which is well suited
for 9-bit communication, is OX16C954-PCI produced by Oxford Semiconductors

Actual version of driver support this platforms:
\begin{itemize}
  \item DOS
  \item Windows - 98/2000/XP with WDM driver model
  \item Linux - 2.4.x as well as 2.6.x
\end{itemize}
The USB to uLan converter support is under development now.

\vfill
uLan software and dodumentation
pages: \url{http://ulan.sourceforge.net/}.
}% \vbox
}% \parbox-------------------------------------------------------------------

\hfil

\tmpd=.31\textwidth
\parbox[t]{\tmpd}{%----------------------------------------------------------
\kern-1ex
\vbox{

\secttitle{CHROMuLAN}
\bigskip

CHROMuLAN HPLC system software provides affordable solution
for HPLC assay mathematical data processing and complex HPLC
instruments sets control over uLan communication network.

\medskip\par
\hfill\includegraphics[width=0.75\tmpd]{fig-apps/chulan-src-1.png}\hfill
\medskip

There is more HPLC instruments which can be directly connected
to the uLan bus.

\medskip\par
\hfill\includegraphics[width=0.80\tmpd]{fig-apps/lc-ulan-net}\hfill
\medskip

The communication with instruments over uLan
network is realized as reading and witting
device models properties. The models of the devices
connected to the uLan network are built
automatically from process variables and properties
description exported by each instrument.

\medskip\par
\hfill\includegraphics[width=0.75\tmpd]{fig-apps/chulan-arch-1c}\hfill
\medskip

\vfill
More about CROMuLAN project can found at
\url{http://www.chromulan.org/}.

}% \vbox
}% \parbox-------------------------------------------------------------------

\hfil

\tmpd=.31\textwidth
\parbox[t]{\tmpd}{%----------------------------------------------------------
\kern-1ex
\vbox{

\secttitle{FASTOP, HA}
\bigskip

The Czech company Agrosoft T\'abor is producer of FASTOP and FASTOS systems 
for automatic batch distribution of feed to pigs and cows.

\medskip\par
\hfill\includegraphics[width=0.80\tmpd]{fig-apps/uLan_in_agruculture.jpg}\hfill
\medskip

The system takes advantage of uLan multi-master architecture, which reduce data
traffic. Wireless identification needs co-ordinate transmit and receive functions 
in order to avoid mutual interference. This function is done by periodic sending 
a broadcast message.

\medskip\par
\hfill\includegraphics[width=0.80\tmpd]{fig-apps/fastop_structure}\hfill
\medskip

The multi-master capability of uLan, very low cost interconnection
with use of an phone line grade cable, free bus topology are reasons to used
it for Home Automation.

\medskip\par
\hfill\includegraphics[width=0.80\tmpd]{fig-apps/home-automation.jpg}\hfill
\medskip

}% \vbox
}% \parbox-------------------------------------------------------------------

}% \hbox=====================================================================

\end{plakat}

\end{document}

\mbox{}\vskip1cm
\begin{verse}
{\monster\bf Abstract:

}\HUGE
This work deals with
\end{verse}

\end{document}
